PluginPathAwareFileSystemResourceLoader.FileSystemContextResource (Grails 6.0.0)

Package: org.grails.core.io

## [Java] Class PluginPathAwareFileSystemResourceLoader.FileSystemContextResource

- org.grails.core.io.PluginPathAwareFileSystemResourceLoader.FileSystemContextResource

- All Implemented Interfaces and Traits:
    org.springframework.core.io.ContextResource

      private static class PluginPathAwareFileSystemResourceLoader.FileSystemContextResource
      extends org.springframework.core.io.FileSystemResource
      implements org.springframework.core.io.ContextResource

  FileSystemResource that explicitly expresses a context-relative path through implementing the ContextResource interface.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FileSystemContextResource (java.lang.String path)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getPathWithinContext()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.FileSystemResource` | `org.springframework.core.io.FileSystemResource#getURL(), org.springframework.core.io.FileSystemResource#contentLength(), org.springframework.core.io.FileSystemResource#getOutputStream(), org.springframework.core.io.FileSystemResource#createRelative(java.lang.String), org.springframework.core.io.FileSystemResource#readableChannel(), org.springframework.core.io.FileSystemResource#isReadable(), org.springframework.core.io.FileSystemResource#isWritable(), org.springframework.core.io.FileSystemResource#writableChannel(), org.springframework.core.io.FileSystemResource#getURI(), org.springframework.core.io.FileSystemResource#exists(), org.springframework.core.io.FileSystemResource#isFile(), org.springframework.core.io.FileSystemResource#lastModified(), org.springframework.core.io.FileSystemResource#getDescription(), org.springframework.core.io.FileSystemResource#getFilename(), org.springframework.core.io.FileSystemResource#equals(java.lang.Object), org.springframework.core.io.FileSystemResource#hashCode(), org.springframework.core.io.FileSystemResource#getPath(), org.springframework.core.io.FileSystemResource#getFile(), org.springframework.core.io.FileSystemResource#getInputStream(), org.springframework.core.io.FileSystemResource#toString(), org.springframework.core.io.FileSystemResource#isOpen(), org.springframework.core.io.FileSystemResource#wait(long), org.springframework.core.io.FileSystemResource#wait(long, int), org.springframework.core.io.FileSystemResource#wait(), org.springframework.core.io.FileSystemResource#getClass(), org.springframework.core.io.FileSystemResource#notify(), org.springframework.core.io.FileSystemResource#notifyAll()`

- - ### Constructor Detail

    - #### public FileSystemContextResource(java.lang.String path)

  - ### Method Detail

    - #### public java.lang.String getPathWithinContext()